services:
  pst:
    image: jokerwho/palworld-server-tool:0.10.0
    container_name: ${CONTAINER_NAME}
    restart: always
    networks:
      - opsmind-network
    ports:
      - ${PANEL_APP_PORT_HTTP}:8080
    volumes:
      - ${PALWORLD_SAVE_PATH}:/app/save
    environment:
      - WEB__PASSWORD=${WEB_PASSWORD}
      - TASK__SYNC_INTERVAL=${TASK_SYNC_INTERVAL}
      - TASK__PLAYER_LOGGING=${TASK_PLAYER_LOGGING}
      - TASK__PLAYER_LOGIN_MESSAGE=${TASK_PLAYER_LOGIN_MESSAGE}
      - TASK__PLAYER_LOGOUT_MESSAGE=${TASK_PLAYER_LOGOUT_MESSAGE}
      - RCON__ADDRESS=${RCON_ADDRESS}
      - RCON__PASSWORD=${ADMIN_PASSWORD}
      - RCON__USE_BASE64=${RCON_USE_BASE64}
      - REST__ADDRESS=${REST_ADDRESS}
      - REST__PASSWORD=${ADMIN_PASSWORD}
      - SAVE__SYNC_INTERVAL=${SAVE_SYNC_INTERVAL}
      - SAVE__BACKUP_INTERVAL=${SAVE_BACKUP_INTERVAL}
      - MANAGE__KICK_NON_WHITELIST=${MANAGE_KICK_NON_WHITELIST}
      - SAVE__DECODE_PATH=/app/sav_cli
      - SAVE__PATH=/app/save
    labels:
      createdBy: "Apps"
networks:
  opsmind-network:
    external: true